<?php
require_once(getabspath("classes/cipherer.php"));



$tdataSupport_Dashboard = array();
$tdataSupport_Dashboard[".ShortName"] = "Support_Dashboard";

$tdataSupport_Dashboard[".pagesByType"] = my_json_decode( "{\"dashboard\":[\"dashboard\"],\"search\":[\"search\"]}" );
$tdataSupport_Dashboard[".originalPagesByType"] = $tdataSupport_Dashboard[".pagesByType"];
$tdataSupport_Dashboard[".pages"] = types2pages( my_json_decode( "{\"dashboard\":[\"dashboard\"],\"search\":[\"search\"]}" ) );
$tdataSupport_Dashboard[".originalPages"] = $tdataSupport_Dashboard[".pages"];
$tdataSupport_Dashboard[".defaultPages"] = my_json_decode( "{\"dashboard\":\"dashboard\",\"search\":\"search\"}" );
$tdataSupport_Dashboard[".originalDefaultPages"] = $tdataSupport_Dashboard[".defaultPages"];


//	field labels
$fieldLabelsSupport_Dashboard = array();
$pageTitlesSupport_Dashboard = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsSupport_Dashboard["English"] = array();
	$fieldLabelsSupport_Dashboard["English"]["for_checking_No"] = "For Checking No";
	$fieldLabelsSupport_Dashboard["English"]["for_checking_Transaction"] = "For Checking Transaction";
	$fieldLabelsSupport_Dashboard["English"]["for_checking_checked_by"] = "For Checking Checked By";
	$fieldLabelsSupport_Dashboard["English"]["for_checking_View"] = "For Checking View";
}
if(mlang_getcurrentlang()=="Chinese")
{
	$fieldLabelsSupport_Dashboard["Chinese"] = array();
	$fieldLabelsSupport_Dashboard["Chinese"]["for_checking_No"] = "For Checking No";
	$fieldLabelsSupport_Dashboard["Chinese"]["for_checking_Transaction"] = "For Checking Transaction";
	$fieldLabelsSupport_Dashboard["Chinese"]["for_checking_checked_by"] = "For Checking Checked By";
	$fieldLabelsSupport_Dashboard["Chinese"]["for_checking_View"] = "For Checking View";
}
if(mlang_getcurrentlang()=="Tagalog(Philippines)")
{
	$fieldLabelsSupport_Dashboard["Tagalog(Philippines)"] = array();
	$fieldLabelsSupport_Dashboard["Tagalog(Philippines)"]["for_checking_No"] = "For Checking No";
	$fieldLabelsSupport_Dashboard["Tagalog(Philippines)"]["for_checking_Transaction"] = "For Checking Transaction";
	$fieldLabelsSupport_Dashboard["Tagalog(Philippines)"]["for_checking_checked_by"] = "For Checking Checked By";
	$fieldLabelsSupport_Dashboard["Tagalog(Philippines)"]["for_checking_View"] = "For Checking View";
}
if(mlang_getcurrentlang()=="Thai")
{
	$fieldLabelsSupport_Dashboard["Thai"] = array();
	$fieldLabelsSupport_Dashboard["Thai"]["for_checking_No"] = "For Checking No";
	$fieldLabelsSupport_Dashboard["Thai"]["for_checking_Transaction"] = "For Checking Transaction";
	$fieldLabelsSupport_Dashboard["Thai"]["for_checking_checked_by"] = "For Checking Checked By";
	$fieldLabelsSupport_Dashboard["Thai"]["for_checking_View"] = "For Checking View";
}

//	search fields
$tdataSupport_Dashboard[".searchFields"] = array();
$dashField = array();
$dashField[] = array( "table"=>"for_checking", "field"=>"No" );
$tdataSupport_Dashboard[".searchFields"]["for_checking_No"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"for_checking", "field"=>"Transaction" );
$tdataSupport_Dashboard[".searchFields"]["for_checking_Transaction"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"for_checking", "field"=>"checked_by" );
$tdataSupport_Dashboard[".searchFields"]["for_checking_checked_by"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"for_checking", "field"=>"View" );
$tdataSupport_Dashboard[".searchFields"]["for_checking_View"] = $dashField;

// all search fields
$tdataSupport_Dashboard[".allSearchFields"] = array();
$tdataSupport_Dashboard[".allSearchFields"][] = "for_checking_No";
$tdataSupport_Dashboard[".allSearchFields"][] = "for_checking_Transaction";
$tdataSupport_Dashboard[".allSearchFields"][] = "for_checking_checked_by";
$tdataSupport_Dashboard[".allSearchFields"][] = "for_checking_View";

// good like search fields
$tdataSupport_Dashboard[".googleLikeFields"] = array();
$tdataSupport_Dashboard[".googleLikeFields"][] = "for_checking_No";
$tdataSupport_Dashboard[".googleLikeFields"][] = "for_checking_Transaction";
$tdataSupport_Dashboard[".googleLikeFields"][] = "for_checking_checked_by";
$tdataSupport_Dashboard[".googleLikeFields"][] = "for_checking_View";

$tdataSupport_Dashboard[".dashElements"] = array();

	$dbelement = array( "elementName" => "for_checking_list", "table" => "for_checking",
		 "pageName" => "","type" => 0);
	$dbelement["cellName"] = "";

		$dbelement["reload"] = 60;
			

	$tdataSupport_Dashboard[".dashElements"][] = $dbelement;
	$dbelement = array( "elementName" => "service_center_list", "table" => "service_center",
		 "pageName" => "","type" => 0);
	$dbelement["cellName"] = "";

		$dbelement["reload"] = 60;
			

	$tdataSupport_Dashboard[".dashElements"][] = $dbelement;
	$dbelement = array( "elementName" => "pending_items_reminders_report", "table" => "pending_items_reminders",
		 "pageName" => "","type" => 2);
	$dbelement["cellName"] = "cell_0_1";

			$dbelement["width"] = 600;
		$dbelement["height"] = 400;


	$tdataSupport_Dashboard[".dashElements"][] = $dbelement;
	$dbelement = array( "elementName" => "For_Checking_Dashboard_report", "table" => "For_Checking_Dashboard",
		 "pageName" => "","type" => 2);
	$dbelement["cellName"] = "cell_1_1";

			$dbelement["width"] = 600;
		$dbelement["height"] = 400;


	$tdataSupport_Dashboard[".dashElements"][] = $dbelement;
	$dbelement = array( "elementName" => "For_Approval_Dashboard_report", "table" => "For_Approval_Dashboard",
		 "pageName" => "","type" => 2);
	$dbelement["cellName"] = "cell_2_1";

				$dbelement["height"] = 400;


	$tdataSupport_Dashboard[".dashElements"][] = $dbelement;
	$dbelement = array( "elementName" => "Support_Open_Case_Report_report", "table" => "Support_Open_Case_Report",
		 "pageName" => "","type" => 2);
	$dbelement["cellName"] = "cell_1_0";

			$dbelement["width"] = 600;
		$dbelement["height"] = 400;


	$tdataSupport_Dashboard[".dashElements"][] = $dbelement;
	$dbelement = array( "elementName" => "Support_Service_center_report", "table" => "Support_Service_center",
		 "pageName" => "","type" => 2);
	$dbelement["cellName"] = "cell_2_0";

			$dbelement["width"] = 600;
		$dbelement["height"] = 400;


	$tdataSupport_Dashboard[".dashElements"][] = $dbelement;
	$dbelement = array( "elementName" => "Open_cases_per_agent_chart", "table" => "Open_cases_per_agent",
		 "pageName" => "","type" => 1);
	$dbelement["cellName"] = "cell_0_0";

			$dbelement["width"] = 600;
		$dbelement["height"] = 400;


	$tdataSupport_Dashboard[".dashElements"][] = $dbelement;

$tdataSupport_Dashboard[".shortTableName"] = "Support_Dashboard";
$tdataSupport_Dashboard[".entityType"] = 4;



$tableEvents["Support_Dashboard"] = new eventsBase;
$tdataSupport_Dashboard[".hasEvents"] = false;


$tdataSupport_Dashboard[".tableType"] = "dashboard";


																																																																																																																																																																																																																																		
$tdataSupport_Dashboard[".addPageEvents"] = false;

$tdataSupport_Dashboard[".isUseAjaxSuggest"] = true;

$tables_data["Support_Dashboard"]=&$tdataSupport_Dashboard;
$field_labels["Support_Dashboard"] = &$fieldLabelsSupport_Dashboard;
$page_titles["Support_Dashboard"] = &$pageTitlesSupport_Dashboard;

?>